Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class PingMessageNew

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.testing.PingMessageNew

All Implemented Interfaces:
  java.io.Serializable

public class PingMessageNew
extends Message

PingMessageNew A performance test suite for pastry.

Version:
  $Id: PingMessageNew.java,v 1.2 2005/03/11 00:57:57 jeffh Exp $
Author:
  Rongmei Zhang
See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Constructor Summary
`PingMessageNew(Address pingAddress, NodeId src, NodeId tgt)` Constructor for PingMessageNew.

Method Summary
`double` | `getDistance()` Gets the Distance attribute of the PingMessageNew object
`int` | `getHops()` Gets the Hops attribute of the PingMessageNew object
`NodeId` | `getSource()` Gets the Source attribute of the PingMessageNew object
`void` | `incrDistance(double dist)` DESCRIBE THE METHOD
`void` | `incrHops()` DESCRIBE THE METHOD
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.messaging.Message
`getCredentials, getDate, getDestination, getPriority, getSender, getSenderId, getStream, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PingMessageNew

    public PingMessageNew(Address pingAddress,
                          NodeId src,
                          NodeId tgt)

  Constructor for PingMessageNew.

Parameters:
  `pingAddress` - DESCRIBE THE PARAMETER
  `src` - DESCRIBE THE PARAMETER
  `tgt` - DESCRIBE THE PARAMETER

Method Detail

### getHops

    public int getHops()

  Gets the Hops attribute of the PingMessageNew object

  Returns:
    The Hops value

### getDistance

    public double getDistance()

  Gets the Distance attribute of the PingMessageNew object

  Returns:
    The Distance value

### getSource

    public NodeId getSource()

  Gets the Source attribute of the PingMessageNew object

  Returns:
    The Source value

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### incrHops

    public void incrHops()

  DESCRIBE THE METHOD

### incrDistance

    public void incrDistance(double dist)

  DESCRIBE THE METHOD

  Parameters:
    `dist` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.